Greasemonkey 2.0 Release Breaks Some Userscripts

Greasemonkey 2.0 Release Breaks Some Userscripts

The Greasemonkey extension has reached version 2.0, and with it comes a lot of new features. However, be warned that this new release may break some of your existing userscripts.

The new releases has several security improvements, including no longer providing permissions unless explicitly stated and some updated methods for using the privileged sandbox. The unfortunate side effect is that some userscripts — particularly those that are older and unlikely to be updated quickly — may break. Be sure to check your scripts, and avoid updating until you're sure all the important scripts work.

Greasemonkey 2.0 Release


Comments

Be the first to comment on this story!

Trending Stories Right Now